forked from pool/alsa-utils
Takashi Iwai
7200ea9d85
- Backport upstream patches: A few portability fixes, alsaucm fixes and extensions, alsatplg minor fixes, alsa-info.sh extensions: 0001-treewide-sys-poll-to-poll.patch 0002-treewide-Fix-wrong-formats-on-32-bit.patch 0003-treewide-Fix-printf-formats.patch 0004-aplay-Adjust-buffer-sizes-to-fix-snprintf-warnings.patch 0005-aplay-Limit-VUMeter-progress-bar-to-100-for-negative.patch 0006-alsactl-sysfs-add-sys-kernel-uevent_seqnum-check-to-.patch 0007-alsaucm-use-the-first-sound-card-use-case-name-hw-CA.patch 0008-alsaucm-add-text-dump-command.patch 0009-alsaucm-add-json-dump-command.patch 0010-alsaucm-dump-fix-the-prefixed.patch 0011-alsactl-fix-sched-idle-set-it-really-to-SCHED_IDLE.patch 0012-configure-Fix-linking-of-alsatplg-with-the-older-lib.patch 0013-alsatplg-add-n-normalize-option.patch 0014-alsatplg-add-s-sort-and-fix-memory-leaks.patch 0015-alsatplg-fix-another-small-leak-in-normalize_config.patch 0016-alsa-info.sh-Consolidate-PCI-device-output.patch 0017-alsa-info.sh-Read-from-proc-modules-and-sort-the-res.patch 0018-alsa-info.sh-Simplify-iteration-over-cards-when-call.patch 0019-alsa-info.sh-Use-existing-function-to-print-ALSA-con.patch 0020-alsa-info.sh-Exit-script-after-writing-information-t.patch 0021-alsa-info.sh-Replace-gauge-with-infobox-for-upload-d.patch 0022-alsa-info.sh-Remove-progress-spinner-during-upload-w.patch 0023-alsa-info.sh-Condense-nested-commands-for-file-uploa.patch 0024-alsa-info.sh-Condense-nested-commands-for-formatting.patch 0025-alsa-info.sh-Perform-test-for-wget-earlier.patch 0026-alsa-info.sh-Warn-after-actual-upload-failure-do-not.patch OBS-URL: https://build.opensuse.org/request/show/766332 OBS-URL: https://build.opensuse.org/package/show/multimedia:libs/alsa-utils?expand=0&rev=165
126 lines
4.1 KiB
Diff
126 lines
4.1 KiB
Diff
From 27b5c6c19c8d3b4e994f258dc5e51571726ff924 Mon Sep 17 00:00:00 2001
|
|
From: David Ward <david.ward@ll.mit.edu>
|
|
Date: Sat, 21 Dec 2019 00:32:11 -0500
|
|
Subject: [PATCH 26/26] alsa-info.sh: Warn after actual upload failure; do not
|
|
ping server
|
|
|
|
Check the return value of wget to determine if the upload actually
|
|
failed. If so, display the message about upload failure, then exit.
|
|
|
|
Do not ping the web server; the result does not indicate whether a
|
|
file upload will succeed or not.
|
|
|
|
Signed-off-by: David Ward <david.ward@ll.mit.edu>
|
|
Signed-off-by: Takashi Iwai <tiwai@suse.de>
|
|
---
|
|
alsa-info/alsa-info.sh | 58 ++++++++++++++++++++++----------------------------
|
|
1 file changed, 25 insertions(+), 33 deletions(-)
|
|
|
|
diff --git a/alsa-info/alsa-info.sh b/alsa-info/alsa-info.sh
|
|
index 399d662b0228..7bae30a614b0 100755
|
|
--- a/alsa-info/alsa-info.sh
|
|
+++ b/alsa-info/alsa-info.sh
|
|
@@ -35,22 +35,12 @@ BGTITLE="ALSA-Info v $SCRIPT_VERSION"
|
|
PASTEBINKEY="C9cRIO8m/9y8Cs0nVs0FraRx7U0pHsuc"
|
|
|
|
WGET=$(which wget 2>/dev/null | sed 's|^[^/]*||' 2>/dev/null)
|
|
-REQUIRES="mktemp grep pgrep whereis ping awk date uname cat sort dmesg amixer alsactl"
|
|
+REQUIRES="mktemp grep pgrep whereis awk date uname cat sort dmesg amixer alsactl"
|
|
|
|
#
|
|
# Define some simple functions
|
|
#
|
|
|
|
-pbcheck() {
|
|
- [[ $UPLOAD = "no" ]] && return
|
|
-
|
|
- if [[ -z $PASTEBIN ]]; then
|
|
- [[ $(ping -c1 www.alsa-project.org) ]] || KEEP_FILES="yes" UPLOAD="no" PBERROR="yes"
|
|
- else
|
|
- [[ $(ping -c1 www.pastebin.ca) ]] || KEEP_FILES="yes" UPLOAD="no" PBERROR="yes"
|
|
- fi
|
|
-}
|
|
-
|
|
update() {
|
|
test -z "$WGET" -o ! -x "$WGET" && return
|
|
|
|
@@ -650,7 +640,6 @@ fi
|
|
#If no command line options are specified, then run as though --with-all was specified
|
|
if [ -z "$1" ]; then
|
|
update
|
|
- pbcheck
|
|
fi
|
|
|
|
fi # proceed
|
|
@@ -662,7 +651,6 @@ if [ -n "$1" ]; then
|
|
case "$1" in
|
|
--pastebin)
|
|
update
|
|
- pbcheck
|
|
;;
|
|
--update)
|
|
update
|
|
@@ -832,25 +820,11 @@ if [ "$UPLOAD" = "no" ]; then
|
|
|
|
if [[ -n $DIALOG ]]
|
|
then
|
|
- if [[ -n $PBERROR ]]; then
|
|
- dialog --backtitle "$BGTITLE" --title "Information collected" --msgbox "An error occurred while contacting the $WWWSERVICE.\n Your information was NOT automatically uploaded.\n\nYour ALSA information is in $NFILE" 10 100
|
|
- else
|
|
- dialog --backtitle "$BGTITLE" --title "Information collected" --msgbox "\n\nYour ALSA information is in $NFILE" 10 60
|
|
- fi
|
|
+ dialog --backtitle "$BGTITLE" --title "Information collected" --msgbox "\n\nYour ALSA information is in $NFILE" 10 60
|
|
else
|
|
- echo
|
|
-
|
|
- if [[ -n $PBERROR ]]; then
|
|
- echo "An error occurred while contacting the $WWWSERVICE."
|
|
- echo "Your information was NOT automatically uploaded."
|
|
- echo ""
|
|
- echo "Your ALSA information is in $NFILE"
|
|
- echo ""
|
|
- else
|
|
- echo ""
|
|
- echo "Your ALSA information is in $NFILE"
|
|
- echo ""
|
|
- fi
|
|
+ echo ""
|
|
+ echo "Your ALSA information is in $NFILE"
|
|
+ echo ""
|
|
fi
|
|
|
|
exit
|
|
@@ -865,9 +839,27 @@ else
|
|
fi
|
|
|
|
if [[ -z $PASTEBIN ]]; then
|
|
- wget -O - --tries=5 --timeout=60 --post-file=$FILE "http://www.alsa-project.org/cardinfo-db/" &>$TEMPDIR/wget.tmp || echo "Upload failed; exit"
|
|
+ wget -O - --tries=5 --timeout=60 --post-file=$FILE "http://www.alsa-project.org/cardinfo-db/" &>$TEMPDIR/wget.tmp
|
|
else
|
|
- wget -O - --tries=5 --timeout=60 --post-file=$FILE "http://pastebin.ca/quiet-paste.php?api=$PASTEBINKEY&encrypt=t&encryptpw=blahblah" &>$TEMPDIR/wget.tmp || echo "Upload failed; exit"
|
|
+ wget -O - --tries=5 --timeout=60 --post-file=$FILE "http://pastebin.ca/quiet-paste.php?api=$PASTEBINKEY&encrypt=t&encryptpw=blahblah" &>$TEMPDIR/wget.tmp
|
|
+fi
|
|
+
|
|
+if [ $? -ne 0 ]; then
|
|
+ mv -f $FILE $NFILE || exit 1
|
|
+ KEEP_OUTPUT="yes"
|
|
+
|
|
+ if [ -n "$DIALOG" ]; then
|
|
+ dialog --backtitle "$BGTITLE" --title "Information not uploaded" --msgbox "An error occurred while contacting $WWWSERVICE.\n Your information was NOT automatically uploaded.\n\nYour ALSA information is in $NFILE" 10 100
|
|
+ else
|
|
+ echo ""
|
|
+ echo "An error occurred while contacting $WWWSERVICE."
|
|
+ echo "Your information was NOT automatically uploaded."
|
|
+ echo ""
|
|
+ echo "Your ALSA information is in $NFILE"
|
|
+ echo ""
|
|
+ fi
|
|
+
|
|
+ exit
|
|
fi
|
|
|
|
if [ -n "$DIALOG" ]; then
|
|
--
|
|
2.16.4
|
|
|